Bug 398351 - No way to set custom DNS with DHCP connection
No way to set custom DNS with DHCP connection
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-25 08:40 EST by Rohan Dhruva
Modified: 2007-12-04 00:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 16:13:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rohan Dhruva 2007-11-25 08:40:35 EST
Description of problem:
Hi, I'm using NetworkManager on gnome with fedora 8, installed using the live
cd. On my DHCP connection, I need to set custom DNS to access any site .. The
default 192.168.1.1 doesn't cut it. On other distros like ubuntu/debian I can
edit /etc/dhcp3/dhclient.conf or something equivalent. However on fedora there
is no way to set the custom dns. I tried editing the settings in
system-config-network, however NM always overrides it and mangles my
/etc/resolv.conf. I also tried making /etc/resolv.conf read-only after suitably
editing it, however it was replaced the next time NM connected. Please include a
suitable way to manage custom DNSes in fedora.

Version-Release number of selected component (if applicable):
0.7.0-0.5.svn3030.fc8

How reproducible:
Always

Steps to Reproduce:
1. Edit /etc/resolv.conf
2. Restart DHCP connection
  
Actual results:
/etc/resolv.conf is modified to include only one entry - 192.168.1.1

Expected results:
There should be some way to set custom DNS

Additional info:
How are DHCP connections managed on fedora ? Is there something equivalent to
/etc/dhcp3/dhclient.conf like on ubuntu ?
Comment 1 Dan Williams 2007-12-03 10:27:04 EST
yes, you probably want /etc/dhclient.conf.  Options set there are the same
options you'd set in /etc/dhcp3/dhclient.conf.  It's just in a different place.
Comment 2 Rohan Dhruva 2007-12-03 14:04:46 EST
You don't think I wouldn't have tried out everything before filing a bug, do you
? :)
That file doesn't exist on my system. I had the same problem in fedora 7.
Comment 3 Dan Williams 2007-12-03 16:13:41 EST
You can simply create the file and fill it out like you need.  There's usually
no need for that file unless you wish to override the default DHCP behavior,
therefore it doesn't need to exist until you need it.
Comment 4 Rohan Dhruva 2007-12-04 00:13:51 EST
Ah, that worked wonderfully. Thank you, Dan.  :)
I think this should be mentioned in the documentation somewhere..

Note You need to log in before you can comment on or make changes to this bug.